## FolksWebServiceFieldDetails

FolksWebServiceFieldDetails — Object representing a web service contact that can have some parameters associated with it.

## Functions

FolksWebServiceFieldDetails * | folks_web_service_field_details_new ()
void | folks_web_service_details_change_web_service_addresses ()
void | folks_web_service_details_change_web_service_addresses_finish ()
GeeMultiMap * | folks_web_service_details_get_web_service_addresses ()
void | folks_web_service_details_set_web_service_addresses ()

## Types and Values

#define | FOLKS_TYPE_WEB_SERVICE_FIELD_DETAILS
struct | FolksWebServiceFieldDetails
struct | FolksWebServiceFieldDetailsClass
| FolksWebServiceDetails
struct | FolksWebServiceDetailsIface

## Description

See FolksAbstractFieldDetails.

## Functions

### folks_web_service_field_details_new ()

    FolksWebServiceFieldDetails *
    folks_web_service_field_details_new (const gchar *value,
                                         GeeMultiMap *parameters);

Create a new WebServiceFieldDetails.

#### Parameters

value | . the value of the field, a non-empty web service address . | [in]
parameters | . initial parameters. See "parameters". A `null` value is equivalent to an empty map of parameters. . | [in][allow-none]

#### Returns

a new WebServiceFieldDetails

Since: 0.6.0

### folks_web_service_details_change_web_service_addresses ()

    void
    folks_web_service_details_change_web_service_addresses
                                   (FolksWebServiceDetails *self,
                                    GeeMultiMap *web_service_addresses,
                                    GAsyncReadyCallback _callback_,
                                    gpointer _user_data_);

Change the contact's web service addresses.

It's preferred to call this rather than setting "web-service-addresses" directly, as this method gives error notification and will only return once the addresses have been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the addresses failed

See also: `folks_web_service_details_change_web_service_addresses_finish()`

#### Parameters

self | the FolksWebServiceDetails instance |
web_service_addresses | . the set of addresses . | [in]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_web_service_details_change_web_service_addresses_finish ()

    void
    folks_web_service_details_change_web_service_addresses_finish
                                   (FolksWebServiceDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change the contact's web service addresses.

It's preferred to call this rather than setting "web-service-addresses" directly, as this method gives error notification and will only return once the addresses have been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the addresses failed

See also: `folks_web_service_details_change_web_service_addresses()`

#### Parameters

self | the FolksWebServiceDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_web_service_details_get_web_service_addresses ()

    GeeMultiMap *
    folks_web_service_details_get_web_service_addresses
                                   (FolksWebServiceDetails *self);

Get and return the current value of the "web-service-addresses" property.

A mapping of web service to an (unordered) set of web service addresses.

Each mapping is from an arbitrary web service identifier to a set of web service addresses for the contact, listed in no particular order.

Web service addresses are guaranteed to be unique per web service, but not necessarily unique amongst all web services.

#### Parameters

self | the FolksWebServiceDetails instance to query |

#### Returns

the value of the "web-service-addresses" property

Since: 0.6.0

### folks_web_service_details_set_web_service_addresses ()

    void
    folks_web_service_details_set_web_service_addresses
                                   (FolksWebServiceDetails *self,
                                    GeeMultiMap *value);

Set the value of the "web-service-addresses" property to `value` .

A mapping of web service to an (unordered) set of web service addresses.

Each mapping is from an arbitrary web service identifier to a set of web service addresses for the contact, listed in no particular order.

Web service addresses are guaranteed to be unique per web service, but not necessarily unique amongst all web services.

#### Parameters

self | the FolksWebServiceDetails instance to modify |
value | the new value of the "web-service-addresses" property |

Since: 0.6.0

## Types and Values

### FOLKS_TYPE_WEB_SERVICE_FIELD_DETAILS

    #define FOLKS_TYPE_WEB_SERVICE_FIELD_DETAILS (folks_web_service_field_details_get_type ())

The type for FolksWebServiceFieldDetails.

### struct FolksWebServiceFieldDetails

    struct FolksWebServiceFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksWebServiceFieldDetailsPrivate * priv;
    };

Object representing a web service contact that can have some parameters associated with it.

See FolksAbstractFieldDetails.

Since: 0.6.0

### struct FolksWebServiceFieldDetailsClass

    struct FolksWebServiceFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_WEB_SERVICE_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksWebServiceDetails

    typedef struct _FolksWebServiceDetails FolksWebServiceDetails;

Web service contact details.

Since: 0.5.0

### struct FolksWebServiceDetailsIface

    struct FolksWebServiceDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_web_service_addresses) (FolksWebServiceDetails* self, GeeMultiMap* web_service_addresses, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_web_service_addresses_finish) (FolksWebServiceDetails* self, GAsyncResult* _res_, GError** error);
    	GeeMultiMap* (*get_web_service_addresses) (FolksWebServiceDetails* self);
    	void (*set_web_service_addresses) (FolksWebServiceDetails* self, GeeMultiMap* value);
    };

Interface for creating FolksWebServiceDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_web_service_addresses` () | virtual method called by `folks_web_service_details_change_web_service_addresses()` |
`change_web_service_addresses_finish` () | asynchronous finish function for `change_web_service_addresses`, called by `folks_web_service_details_change_web_service_addresses()` |
`get_web_service_addresses` () | getter method for the abstract property "web-service-addresses" |
`set_web_service_addresses` () | setter method for the abstract property "web-service-addresses" |